cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1658
Views
0
Helpful
7
Replies

How to upgarde cisco Prime ?

Radhika Nair
Level 1
Level 1

Hello ,

I have cisco prime infrastructure with version 3.4 .And I need to upgrade my device to the latest 3.9 version.

Can someone tell me which package should be downloaded from the site?As i see three options one is device packs,patches,software?

And also can you help me to know how is the upgrade done is it step by step upgrade

for eg. from 3.5 to 3.6 then 3.7 to 3.8..or directly from 3.5 to 3.9 ?

If its step by step just by uploading device packs then reloading and then the next ? is that how it is done?

Can someone please help?

I have attached the screenshot of the version of Prime..

 

@ciscoprime @ciscoprimeinfrastructure

 

7 Replies 7

balaji.bandi
Hall of Fame
Hall of Fame

There is 2 options but i take the most recent success upgrade and working as expected.

 

Option1 - Inline upgrade from 3.4 to 3.9 (which i was not tried and seen people remarks failed many times, not sure that is the success rate 100%)

 

Option2 :   

 

PI 3.4 take the backup appliance and application out of the box

License and Maps back up out of the box

or any Custom template backup out of the box.

PI 3.4 to 3.7 Inline Upgrade  - resync the WLC and devices - do testings.

PI 3.7 take the backup appliance and application out of the box

License and Maps backup out of the box

or any Custom template backup out of the box.

Install a fresh copy of PI 3.9 and restore the application backup from PI 3.7 is safe to approach and resync the devices.

 

if HA, break the HA before the upgrade,

Upgrade 3.4 to 3.7 backup and upgrade takes 12-15 hours easy depends on data.

 

3.7. to 3.9 take some amount of time to get online the box

 

 

 

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

 I am using a VM for cisco prime with 3.4 version. So planning to go with an option where I can create a new VM of prime 3.9 and restore the backup of 3.4.

 

Will that work?Do i have to do any work around?

And I am also struggling with what all files needs to be backed up.I just found path that is the server backup..Is that all ?

 

 

Leo Laohoo
Hall of Fame
Hall of Fame
  1. Backup the maps and DB
  2. Stand up a new VM instance of PI 3.9
  3. Install Oracle DB patch
  4. Install PI 3.9 device packs
  5. Install PI 3.9 patches
  6. Download and restore the DB and maps.

Is all the backup stored in the in a single file that is Infrastructure ---Server Backup?

Where can i find maps and DB file? are they inside the Server Backup too ?

marce1000
VIP
VIP

 

 Ref : https://www.cisco.com/c/en/us/td/docs/net_mgmt/prime/infrastructure/3-9/release/notes/bk_Cisco_Prime_Infrastructure_3_9_0_Release_Notes.html

 >...

  If your existing Prime Infrastructure is 3.7.x or 3.8.x, and your upgrade path contains 3.4.x or earlier versions, then you cannot in-line upgrade that server to Prime Infrastructure 3.9 due to security vulnerabilities in the underlying Red Hat 6 installation. You will need to take a backup of the Prime Infrastructure 3.7.x or 3.8.x server, deploy a fresh Prime Infrastructure 3.9 server, and restore that backup into the Prime Infrastructure 3.9 server.

>...

 M.



-- Each morning when I wake up and look into the mirror I always say ' Why am I so brilliant ? '
    When the mirror will then always repond to me with ' The only thing that exceeds your brilliance is your beauty! '

I am using a VM for cisco prime with 3.4 version. So planning to go with an option where I can create  a new VM of prime 3.9 and restore the backup of 3.4.

Will that work?Do i have to do any work around?

And  I am also struggling with what all files needs to be backed up.I just found path that is the server backup..Is that all ?

If you buiding new VM- then its easy for you to simulate, so the working one work as expected

 

buid a new VM with 3.4 and do inline upgrade 3.7 ( take the application backup) - buid new VM with 3.9 and restore and shutdown OLD PI 3.4 and start using 3.9 - is this make sense ?

 

3.4 to 3.7 upgrade :

 

PI-Upgrade-31x_32x_33x_34x_to_3.7.0.0.159.tar.gz

copy to local repo

ncs stop

#application upgrade  PI-Upgrade-31x_32x_33x_34x_to_3.7.0.0.159.tar.gz

 

 

suggest to take backup while upgrading and manually from command prompt :

#backup filename repository repositoryName application NCS

 

 

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help